[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomCoolBar.EndUpdate

Ends an update process for the control.

## Declaration

Source position: comctrls.pp line 2636

`public procedure TCustomCoolBar.EndUpdate; override;`

## Description

EndUpdate is an overridden method in TCustomCoolBar. It calls the inherited method to decrement the internal update counter for the control. When the update counter reaches 0, the CalculateAndAlign method is called to size and layout the visible bands on the control. Temporarily disables auto-sizing while the control recalculates and aligns its bands. Calls Invalidate to cause the control to be redrawn.

## See also

TToolWindow.EndUpdate |  | Decrements the internal counter for buffering calls to Update.